Index: serefpolicy-contrib-20140730/mock.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/mock.te
@@ -0,0 +1,277 @@
+policy_module(mock,1.0.0)
+
+## <desc>
+##  <p>
+##  Allow mock to read files in home directories.
+##  </p>
+## </desc>
+gen_tunable(mock_enable_homedirs, false)
+
+########################################
+#
+# Declarations
+#
+
+type mock_t;
+type mock_exec_t;
+application_domain(mock_t, mock_exec_t)
+domain_role_change_exemption(mock_t)
+domain_system_change_exemption(mock_t)
+role system_r types mock_t;
+
+type mock_build_t;
+type mock_build_exec_t;
+application_domain(mock_build_t, mock_build_exec_t)
+role system_r types mock_build_t;
+
+type mock_cache_t;
+files_type(mock_cache_t)
+
+type mock_tmp_t;
+files_tmp_file(mock_tmp_t)
+
+type mock_var_lib_t;
+files_type(mock_var_lib_t)
+
+type mock_var_run_t;
+files_pid_file(mock_var_run_t)
+
+type mock_etc_t;
+files_config_file(mock_etc_t)
+
+########################################
+#
+# mock local policy
+#
+
+allow mock_t self:capability { sys_admin sys_ptrace setfcap setuid sys_chroot chown audit_write dac_override sys_nice mknod fsetid setgid fowner };
+allow mock_t self:capability2 block_suspend;
+allow mock_t self:process { siginh noatsecure signal_perms transition rlimitinh setsched setpgid };
+# Needed because mock can run java and mono withing build environment
+allow mock_t self:process { execmem execstack };
+dontaudit mock_t self:process { siginh noatsecure rlimitinh };
+allow mock_t self:fifo_file manage_fifo_file_perms;
+allow mock_t self:unix_stream_socket create_stream_socket_perms;
+allow mock_t self:unix_dgram_socket create_socket_perms;
+
+allow mock_t mock_build_t:process { siginh noatsecure rlimitinh };
+
+manage_dirs_pattern(mock_t, mock_cache_t, mock_cache_t)
+manage_files_pattern(mock_t, mock_cache_t, mock_cache_t)
+manage_lnk_files_pattern(mock_t, mock_cache_t, mock_cache_t)
+files_var_filetrans(mock_t, mock_cache_t, { dir file } )
+
+read_files_pattern(mock_t, mock_etc_t, mock_etc_t)
+read_lnk_files_pattern(mock_t, mock_etc_t, mock_etc_t)
+
+manage_dirs_pattern(mock_t, mock_tmp_t, mock_tmp_t)
+manage_files_pattern(mock_t, mock_tmp_t, mock_tmp_t)
+manage_lnk_files_pattern(mock_t, mock_tmp_t, mock_tmp_t)
+files_tmp_filetrans(mock_t, mock_tmp_t, { dir file lnk_file })
+
+manage_dirs_pattern(mock_t, mock_var_lib_t, mock_var_lib_t)
+manage_files_pattern(mock_t, mock_var_lib_t, mock_var_lib_t)
+manage_lnk_files_pattern(mock_t, mock_var_lib_t, mock_var_lib_t)
+manage_blk_files_pattern(mock_t, mock_var_lib_t, mock_var_lib_t)
+manage_chr_files_pattern(mock_t, mock_var_lib_t, mock_var_lib_t)
+files_var_lib_filetrans(mock_t, mock_var_lib_t, { dir file })
+allow mock_t mock_var_lib_t:dir mounton;
+allow mock_t mock_var_lib_t:dir relabel_dir_perms;
+allow mock_t mock_var_lib_t:file relabel_file_perms;
+
+manage_files_pattern(mock_t, mock_var_run_t, mock_var_run_t)
+manage_dirs_pattern(mock_t, mock_var_run_t, mock_var_run_t)
+manage_sock_files_pattern(mock_t, mock_var_run_t, mock_var_run_t)
+manage_lnk_files_pattern(mock_t, mock_var_run_t, mock_var_run_t)
+files_pid_filetrans(mock_t, mock_var_run_t, { file dir sock_file })
+
+kernel_read_irq_sysctls(mock_t)
+kernel_read_system_state(mock_t)
+kernel_read_network_state(mock_t)
+kernel_read_kernel_sysctls(mock_t)
+kernel_request_load_module(mock_t)
+kernel_dontaudit_setattr_proc_dirs(mock_t)
+kernel_read_fs_sysctls(mock_t)
+# we run mount in mock_t
+kernel_mount_proc(mock_t)
+kernel_unmount_proc(mock_t)
+
+fs_mount_tmpfs(mock_t)
+fs_unmount_tmpfs(mock_t)
+fs_unmount_xattr_fs(mock_t)
+
+corecmd_exec_bin(mock_t)
+corecmd_exec_shell(mock_t)
+corecmd_dontaudit_exec_all_executables(mock_t)
+
+corenet_tcp_connect_git_port(mock_t)
+corenet_tcp_connect_http_port(mock_t)
+corenet_tcp_connect_ftp_port(mock_t)
+corenet_tcp_connect_all_ephemeral_ports(mock_t)
+
+dev_read_urand(mock_t)
+dev_rw_sysfs(mock_t)
+dev_setattr_sysfs_dirs(mock_t)
+dev_mount_sysfs_fs(mock_t)
+dev_unmount_sysfs_fs(mock_t)
+
+domain_read_all_domains_state(mock_t)
+domain_use_interactive_fds(mock_t)
+
+files_read_etc_runtime_files(mock_t)
+files_dontaudit_list_boot(mock_t)
+files_list_isid_type_dirs(mock_t)
+
+fs_getattr_all_fs(mock_t)
+fs_manage_cgroup_dirs(mock_t)
+fs_search_all(mock_t)
+fs_setattr_tmpfs_dirs(mock_t)
+	
+selinux_get_enforce_mode(mock_t)
+
+term_search_ptys(mock_t)
+term_mount_pty_fs(mock_t)
+term_unmount_pty_fs(mock_t)
+
+auth_use_nsswitch(mock_t)
+
+init_exec(mock_t)
+init_dontaudit_stream_connect(mock_t)
+
+libs_exec_ldconfig(mock_t)
+
+logging_send_audit_msgs(mock_t)
+logging_send_syslog_msg(mock_t)
+
+userdom_use_user_ptys(mock_t)
+
+files_search_home(mock_t)
+
+tunable_policy(`mock_enable_homedirs',`
+	userdom_manage_user_home_content_dirs(mock_t)
+	userdom_manage_user_home_content_files(mock_t)
+')
+
+tunable_policy(`mock_enable_homedirs && use_nfs_home_dirs',`
+    rpc_search_nfs_state_data(mock_t)
+    fs_list_auto_mountpoints(mock_t)
+    fs_manage_nfs_files(mock_t)
+')
+
+tunable_policy(`mock_enable_homedirs && use_samba_home_dirs',`
+    fs_list_auto_mountpoints(mock_t)
+    fs_read_cifs_files(mock_t)
+    fs_manage_cifs_files(mock_t)
+')
+
+optional_policy(`
+	abrt_read_spool_retrace(mock_t)
+	abrt_read_cache_retrace(mock_t)
+	abrt_stream_connect(mock_t)
+')
+
+optional_policy(`
+	apache_read_sys_content_rw_files(mock_t)
+')
+
+optional_policy(`
+	rpm_exec(mock_t)
+    rpm_manage_cache(mock_t)
+    rpm_manage_db(mock_t)
+    rpm_manage_tmp_files(mock_t)
+    rpm_read_log(mock_t)
+')
+
+optional_policy(`
+	mount_exec(mock_t)
+    mount_rw_pid_files(mock_t)
+')
+
+
+########################################
+#
+# mock_build local policy
+#
+allow mock_build_t self:capability { sys_admin setfcap setuid sys_chroot chown dac_override sys_nice mknod fsetid setgid fowner sys_ptrace };
+dontaudit mock_build_t self:capability audit_write;
+allow mock_build_t self:process { fork setsched setpgid signal_perms };
+allow mock_build_t self:netlink_audit_socket { create_socket_perms nlmsg_relay };
+# Needed because mock can run java and mono withing build environment
+allow mock_build_t self:process { execmem execstack };
+dontaudit mock_build_t self:process { siginh noatsecure rlimitinh };
+allow mock_build_t self:fifo_file manage_fifo_file_perms;
+allow mock_build_t self:unix_stream_socket create_stream_socket_perms;
+allow mock_build_t self:unix_dgram_socket create_socket_perms;
+allow mock_build_t self:dir list_dir_perms;
+allow mock_build_t self:dir read_file_perms;
+      
+ps_process_pattern(mock_t, mock_build_t)
+allow mock_t mock_build_t:process signal_perms;
+domtrans_pattern(mock_t, mock_build_exec_t, mock_build_t)
+domtrans_pattern(mock_t, mock_tmp_t, mock_build_t)
+domain_entry_file(mock_build_t, mock_tmp_t)
+domtrans_pattern(mock_t, mock_var_lib_t, mock_build_t)
+domain_entry_file(mock_build_t, mock_var_lib_t)
+
+manage_dirs_pattern(mock_build_t, mock_cache_t, mock_cache_t)
+manage_files_pattern(mock_build_t, mock_cache_t, mock_cache_t)
+manage_lnk_files_pattern(mock_build_t, mock_cache_t, mock_cache_t)
+files_var_filetrans(mock_build_t, mock_cache_t, { dir file } )
+
+manage_dirs_pattern(mock_build_t, mock_tmp_t, mock_tmp_t)
+manage_files_pattern(mock_build_t, mock_tmp_t, mock_tmp_t)
+files_tmp_filetrans(mock_build_t, mock_tmp_t, { dir file })
+can_exec(mock_build_t, mock_tmp_t)
+
+manage_dirs_pattern(mock_build_t, mock_var_lib_t, mock_var_lib_t)
+manage_files_pattern(mock_build_t, mock_var_lib_t, mock_var_lib_t)
+manage_lnk_files_pattern(mock_build_t, mock_var_lib_t, mock_var_lib_t)
+manage_blk_files_pattern(mock_build_t, mock_var_lib_t, mock_var_lib_t)
+manage_chr_files_pattern(mock_build_t, mock_var_lib_t, mock_var_lib_t)
+files_var_lib_filetrans(mock_build_t, mock_var_lib_t, { dir file })
+can_exec(mock_build_t, mock_var_lib_t)
+allow mock_build_t mock_var_lib_t:dir mounton;
+allow mock_build_t mock_var_lib_t:dir relabel_dir_perms;
+allow mock_build_t mock_var_lib_t:file relabel_file_perms;
+
+kernel_list_proc(mock_build_t)
+kernel_read_irq_sysctls(mock_build_t)
+kernel_read_system_state(mock_build_t)
+kernel_read_network_state(mock_build_t)
+kernel_read_kernel_sysctls(mock_build_t)
+kernel_request_load_module(mock_build_t)
+kernel_dontaudit_setattr_proc_dirs(mock_build_t)
+
+corecmd_exec_bin(mock_build_t)
+corecmd_exec_shell(mock_build_t)
+corecmd_dontaudit_exec_all_executables(mock_build_t)
+
+dev_getattr_all_chr_files(mock_build_t)
+dev_dontaudit_list_all_dev_nodes(mock_build_t)
+dev_dontaudit_getattr_all(mock_build_t)
+fs_getattr_all_dirs(mock_build_t)
+dev_read_sysfs(mock_build_t)
+
+domain_dontaudit_read_all_domains_state(mock_build_t)
+domain_use_interactive_fds(mock_build_t)
+
+files_dontaudit_list_boot(mock_build_t)
+
+fs_getattr_all_fs(mock_build_t)
+fs_manage_cgroup_dirs(mock_build_t)
+
+selinux_get_enforce_mode(mock_build_t)
+
+auth_use_nsswitch(mock_build_t)
+
+init_exec(mock_build_t)
+init_dontaudit_stream_connect(mock_build_t)
+
+libs_exec_ldconfig(mock_build_t)
+
+term_use_all_inherited_terms(mock_build_t)
+userdom_use_inherited_user_ptys(mock_build_t)
+
+tunable_policy(`mock_enable_homedirs',`
+	userdom_read_user_home_content_files(mock_build_t)
+')
Index: serefpolicy-contrib-20140730/modemmanager.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/modemmanager.fc
+++ serefpolicy-contrib-20140730/modemmanager.fc
@@ -1,2 +1,4 @@
-/usr/sbin/ModemManager	--	gen_context(system_u:object_r:modemmanager_exec_t,s0)
 /usr/sbin/modem-manager	--	gen_context(system_u:object_r:modemmanager_exec_t,s0)
+/usr/sbin/ModemManager	--	gen_context(system_u:object_r:modemmanager_exec_t,s0)
+
+/usr/lib/systemd/system/ModemManager.service		--	gen_context(system_u:object_r:modemmanager_unit_file_t,s0)
Index: serefpolicy-contrib-20140730/modemmanager.if
===================================================================
--- serefpolicy-contrib-20140730.orig/modemmanager.if
+++ serefpolicy-contrib-20140730/modemmanager.if
@@ -21,6 +21,30 @@ interface(`modemmanager_domtrans',`
 
 ########################################
 ## <summary>
+##	Execute modemmanager server in the modemmanager domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`modemmanager_systemctl',`
+	gen_require(`
+		type modemmanager_t;
+		type modemmanager_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+    systemd_read_fifo_file_passwd_run($1)
+	allow $1 modemmanager_unit_file_t:file read_file_perms;
+	allow $1 modemmanager_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, modemmanager_t)
+')
+
+########################################
+## <summary>
 ##	Send and receive messages from
 ##	modemmanager over dbus.
 ## </summary>
@@ -39,3 +63,33 @@ interface(`modemmanager_dbus_chat',`
 	allow $1 modemmanager_t:dbus send_msg;
 	allow modemmanager_t $1:dbus send_msg;
 ')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an modemmanager environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`modemmanager_admin',`
+	gen_require(`
+		type modemmanager_t;
+		type modemmanager_unit_file_t;
+	')
+
+	allow $1 modemmanager_t:process { ptrace signal_perms };
+	ps_process_pattern($1, modemmanager_t)
+
+	modemmanager_systemctl($1)
+	admin_pattern($1, modemmanager_unit_file_t)
+	allow $1 modemmanager_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/modemmanager.te
===================================================================
--- serefpolicy-contrib-20140730.orig/modemmanager.te
+++ serefpolicy-contrib-20140730/modemmanager.te
@@ -1,4 +1,4 @@
-policy_module(modemmanager, 1.3.1)
+policy_module(modemmanager, 1.2.1)
 
 ########################################
 #
@@ -11,6 +11,9 @@ init_daemon_domain(modemmanager_t, modem
 typealias modemmanager_t alias ModemManager_t;
 typealias modemmanager_exec_t alias ModemManager_exec_t;
 
+type modemmanager_unit_file_t;
+systemd_unit_file(modemmanager_unit_file_t)
+
 ########################################
 #
 # Local policy
@@ -24,15 +27,17 @@ allow modemmanager_t self:netlink_kobjec
 
 kernel_read_system_state(modemmanager_t)
 
+corecmd_exec_bin(modemmanager_t)
+
 dev_read_sysfs(modemmanager_t)
+dev_read_urand(modemmanager_t)
 dev_rw_modem(modemmanager_t)
 
-files_read_etc_files(modemmanager_t)
-
 term_use_generic_ptys(modemmanager_t)
 term_use_unallocated_ttys(modemmanager_t)
+term_use_usb_ttys(modemmanager_t)
 
-miscfiles_read_localization(modemmanager_t)
+xserver_read_state_xdm(modemmanager_t)
 
 logging_send_syslog_msg(modemmanager_t)
 
Index: serefpolicy-contrib-20140730/mojomojo.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/mojomojo.fc
+++ serefpolicy-contrib-20140730/mojomojo.fc
@@ -1,5 +1,5 @@
-/usr/bin/mojomojo_fastcgi\.pl	--	gen_context(system_u:object_r:httpd_mojomojo_script_exec_t,s0)
+/usr/bin/mojomojo_fastcgi\.pl	--	gen_context(system_u:object_r:mojomojo_script_exec_t,s0)
 
-/usr/share/mojomojo/root(/.*)?	gen_context(system_u:object_r:httpd_mojomojo_content_t,s0)
+/usr/share/mojomojo/root(/.*)?	gen_context(system_u:object_r:mojomojo_content_t,s0)
 
-/var/lib/mojomojo(/.*)?	gen_context(system_u:object_r:httpd_mojomojo_rw_content_t,s0)
+/var/lib/mojomojo(/.*)?	gen_context(system_u:object_r:mojomojo_rw_content_t,s0)
Index: serefpolicy-contrib-20140730/mojomojo.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mojomojo.if
+++ serefpolicy-contrib-20140730/mojomojo.if
@@ -15,7 +15,6 @@
 ##	Role allowed access.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`mojomojo_admin',`
 	refpolicywarn(`$0($*) has been deprecated, use apache_admin() instead.')
Index: serefpolicy-contrib-20140730/mojomojo.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mojomojo.te
+++ serefpolicy-contrib-20140730/mojomojo.te
@@ -5,21 +5,40 @@ policy_module(mojomojo, 1.1.0)
 # Declarations
 #
 
-apache_content_template(mojomojo)
+type mojomojo_tmp_t alias httpd_mojomojo_tmp_t;
+files_tmp_file(mojomojo_tmp_t)
 
 ########################################
 #
 # Local policy
 #
 
-allow httpd_mojomojo_script_t httpd_t:unix_stream_socket rw_stream_socket_perms;
-
-corenet_sendrecv_smtp_client_packets(httpd_mojomojo_script_t)
-corenet_tcp_connect_smtp_port(httpd_mojomojo_script_t)
-corenet_sendrecv_smtp_client_packets(httpd_mojomojo_script_t)
-
-files_search_var_lib(httpd_mojomojo_script_t)
-
-sysnet_dns_name_resolve(httpd_mojomojo_script_t)
-
-mta_send_mail(httpd_mojomojo_script_t)
+optional_policy(`
+	apache_content_template(mojomojo)
+	apache_content_alias_template(mojomojo, mojomojo)
+
+	manage_dirs_pattern(mojomojo_script_t, mojomojo_tmp_t, mojomojo_tmp_t)
+	manage_files_pattern(mojomojo_script_t, mojomojo_tmp_t, mojomojo_tmp_t)
+	files_tmp_filetrans(mojomojo_script_t, mojomojo_tmp_t, { file dir })
+
+	corenet_tcp_connect_postgresql_port(mojomojo_script_t)
+	corenet_tcp_connect_mysqld_port(mojomojo_script_t)
+	corenet_tcp_connect_smtp_port(mojomojo_script_t)
+	corenet_sendrecv_postgresql_client_packets(mojomojo_script_t)
+	corenet_sendrecv_mysqld_client_packets(mojomojo_script_t)
+	corenet_sendrecv_smtp_client_packets(mojomojo_script_t)
+
+	files_search_var_lib(mojomojo_script_t)
+
+	sysnet_dns_name_resolve(mojomojo_script_t)
+
+	mta_send_mail(mojomojo_script_t)
+
+	optional_policy(`
+		mysql_stream_connect(mojomojo_script_t)
+	')
+
+	optional_policy(`
+		postgresql_stream_connect(mojomojo_script_t)
+	')
+')
Index: serefpolicy-contrib-20140730/mongodb.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/mongodb.fc
+++ serefpolicy-contrib-20140730/mongodb.fc
@@ -1,9 +1,12 @@
 /etc/rc\.d/init\.d/mongod	--	gen_context(system_u:object_r:mongod_initrc_exec_t,s0)
 
-/usr/bin/mongod	--	gen_context(system_u:object_r:mongod_exec_t,s0)
+/usr/bin/mongod	                                --	gen_context(system_u:object_r:mongod_exec_t,s0)
+/usr/share/aeolus-conductor/dbomatic/dbomatic   --   gen_context(system_u:object_r:mongod_exec_t,s0)
 
 /var/lib/mongo.*	gen_context(system_u:object_r:mongod_var_lib_t,s0)
 
-/var/log/mongo.*	gen_context(system_u:object_r:mongod_log_t,s0)
+/var/log/mongo.*	                                    gen_context(system_u:object_r:mongod_log_t,s0)
+/var/log/aeolus-conductor/dbomatic\.log.*      --      gen_context(system_u:object_r:mongod_log_t,s0)
 
-/var/run/mongo.*	gen_context(system_u:object_r:mongod_var_run_t,s0)
+/var/run/mongo.*	                gen_context(system_u:object_r:mongod_var_run_t,s0)
+/var/run/aeolus/dbomatic\.pid   --  gen_context(system_u:object_r:mongod_var_run_t,s0)
Index: serefpolicy-contrib-20140730/mongodb.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mongodb.te
+++ serefpolicy-contrib-20140730/mongodb.te
@@ -21,19 +21,27 @@ files_type(mongod_var_lib_t)
 type mongod_var_run_t;
 files_pid_file(mongod_var_run_t)
 
+type mongod_tmp_t;
+files_tmp_file(mongod_tmp_t)
+
 ########################################
 #
 # Local policy
 #
 
-allow mongod_t self:process signal;
+
+allow mongod_t self:process { setsched signal };
 allow mongod_t self:fifo_file rw_fifo_file_perms;
 
+allow mongod_t self:netlink_route_socket r_netlink_socket_perms;
+allow mongod_t self:unix_stream_socket create_stream_socket_perms;
+allow mongod_t self:udp_socket create_socket_perms;
+
 manage_dirs_pattern(mongod_t, mongod_log_t, mongod_log_t)
 append_files_pattern(mongod_t, mongod_log_t, mongod_log_t)
 create_files_pattern(mongod_t, mongod_log_t, mongod_log_t)
 setattr_files_pattern(mongod_t, mongod_log_t, mongod_log_t)
-logging_log_filetrans(mongod_t, mongod_log_t, dir)
+logging_log_filetrans(mongod_t, mongod_log_t, { dir file })
 
 manage_dirs_pattern(mongod_t, mongod_var_lib_t, mongod_var_lib_t)
 manage_files_pattern(mongod_t, mongod_var_lib_t, mongod_var_lib_t)
@@ -41,21 +49,41 @@ files_var_lib_filetrans(mongod_t, mongod
 
 manage_dirs_pattern(mongod_t, mongod_var_run_t, mongod_var_run_t)
 manage_files_pattern(mongod_t, mongod_var_run_t, mongod_var_run_t)
-files_pid_filetrans(mongod_t, mongod_var_run_t, dir)
+manage_sock_files_pattern(mongod_t, mongod_var_run_t, mongod_var_run_t)
+files_pid_filetrans(mongod_t, mongod_var_run_t, { dir file sock_file })
+
+manage_dirs_pattern(mongod_t, mongod_tmp_t, mongod_tmp_t)
+manage_files_pattern(mongod_t, mongod_tmp_t, mongod_tmp_t)
+manage_sock_files_pattern(mongod_t, mongod_tmp_t, mongod_tmp_t)
+files_tmp_filetrans(mongod_t, mongod_tmp_t, { file dir sock_file })
 
 kernel_read_system_state(mongod_t)
+kernel_read_vm_sysctls(mongod_t)
+
+corecmd_exec_bin(mongod_t)
+corecmd_exec_shell(mongod_t)
 
 corenet_all_recvfrom_unlabeled(mongod_t)
 corenet_all_recvfrom_netlabel(mongod_t)
 corenet_tcp_sendrecv_generic_if(mongod_t)
 corenet_tcp_sendrecv_generic_node(mongod_t)
+corenet_tcp_connect_mongod_port(mongod_t)
 corenet_tcp_bind_generic_node(mongod_t)
 
 dev_read_sysfs(mongod_t)
 dev_read_urand(mongod_t)
 
-files_read_etc_files(mongod_t)
-
 fs_getattr_all_fs(mongod_t)
 
-miscfiles_read_localization(mongod_t)
+optional_policy(`
+	mysql_stream_connect(mongod_t)
+')
+
+optional_policy(`
+	postgresql_stream_connect(mongod_t)
+')
+
+optional_policy(`
+	sysnet_dns_name_resolve(mongod_t)
+')
+
Index: serefpolicy-contrib-20140730/monop.if
===================================================================
--- serefpolicy-contrib-20140730.orig/monop.if
+++ serefpolicy-contrib-20140730/monop.if
@@ -31,7 +31,7 @@ interface(`monop_admin',`
 	role_transition $2 monopd_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	logging_search_etc($1)
+	logging_search_logs($1)
 	admin_pattern($1, monopd_etc_t)
 
 	files_search_pids($1)
Index: serefpolicy-contrib-20140730/monop.te
===================================================================
--- serefpolicy-contrib-20140730.orig/monop.te
+++ serefpolicy-contrib-20140730/monop.te
@@ -43,7 +43,6 @@ kernel_read_kernel_sysctls(monopd_t)
 kernel_list_proc(monopd_t)
 kernel_read_proc_symlinks(monopd_t)
 
-corenet_all_recvfrom_unlabeled(monopd_t)
 corenet_all_recvfrom_netlabel(monopd_t)
 corenet_tcp_sendrecv_generic_if(monopd_t)
 corenet_tcp_sendrecv_generic_node(monopd_t)
@@ -57,15 +56,11 @@ dev_read_sysfs(monopd_t)
 
 domain_use_interactive_fds(monopd_t)
 
-files_read_etc_files(monopd_t)
-
 fs_getattr_all_fs(monopd_t)
 fs_search_auto_mountpoints(monopd_t)
 
 logging_send_syslog_msg(monopd_t)
 
-miscfiles_read_localization(monopd_t)
-
 sysnet_dns_name_resolve(monopd_t)
 
 userdom_dontaudit_use_unpriv_user_fds(monopd_t)
Index: serefpolicy-contrib-20140730/mono.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mono.te
+++ serefpolicy-contrib-20140730/mono.te
@@ -28,7 +28,7 @@ allow mono_domain self:process { signal
 # local policy
 #
 
-userdom_user_home_dir_filetrans_user_home_content(mono_t, { dir file lnk_file fifo_file sock_file })
+userdom_filetrans_home_content(mono_t)
 
 init_dbus_chat_script(mono_t)
 
Index: serefpolicy-contrib-20140730/motion.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/motion.fc
@@ -0,0 +1,9 @@
+/usr/bin/motion		--	gen_context(system_u:object_r:motion_exec_t,s0)
+
+/usr/lib/systemd/system/motion.*		--	gen_context(system_u:object_r:motion_unit_file_t,s0)
+
+/var/log/motion\.log.*		--	gen_context(system_u:object_r:motion_log_t,s0)
+
+/var/run/motion\.pid    --  gen_context(system_u:object_r:motion_var_run_t,s0)
+
+/var/motion(/.*)?       gen_context(system_u:object_r:motion_data_t,s0)
Index: serefpolicy-contrib-20140730/motion.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/motion.if
@@ -0,0 +1,197 @@
+
+## <summary>Detect motion using a video4linux device</summary>
+
+########################################
+## <summary>
+##	Execute motion in the motion domain.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`motion_domtrans',`
+	gen_require(`
+		type motion_t, motion_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, motion_exec_t, motion_t)
+')
+########################################
+## <summary>
+##	Read motion's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`motion_read_log',`
+	gen_require(`
+		type motion_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, motion_log_t, motion_log_t)
+')
+
+########################################
+## <summary>
+##	Append to motion log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`motion_append_log',`
+	gen_require(`
+		type motion_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, motion_log_t, motion_log_t)
+')
+
+########################################
+## <summary>
+##	Manage motion log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`motion_manage_log',`
+	gen_require(`
+		type motion_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, motion_log_t, motion_log_t)
+	manage_files_pattern($1, motion_log_t, motion_log_t)
+	manage_lnk_files_pattern($1, motion_log_t, motion_log_t)
+')
+
+########################################
+## <summary>
+## Manage motion pid files
+## </summary>
+## <param name="domain">
+## <summary>
+## Domain allowed access.
+## </summary>
+## </param>
+#
+interface(`motion_manage_pid',`
+    gen_require(`
+        type motion_var_run_t;
+    ')
+
+    manage_dirs_pattern($1, motion_var_run_t, motion_var_run_t)
+    manage_files_pattern($1, motion_var_run_t, motion_var_run_t)
+')
+
+########################################
+## <summary>
+## Manage motion data files
+## </summary>
+## <param name="domain">
+## <summary>
+## Domain allowed access.
+## </summary>
+## </param>
+#
+interface(`motion_manage_data',`
+    gen_require(`
+        type motion_data_t;
+    ')
+
+    manage_dirs_pattern($1, motion_data_t, motion_data_t)
+    manage_files_pattern($1, motion_data_t, motion_data_t)
+')
+
+########################################
+## <summary>
+##	Execute motion server in the motion domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`motion_systemctl',`
+	gen_require(`
+		type motion_t;
+		type motion_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+    systemd_read_fifo_file_passwd_run($1)
+	allow $1 motion_unit_file_t:file read_file_perms;
+	allow $1 motion_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, motion_t)
+')
+
+########################################
+## <summary>
+## Manage all motion files.
+## </summary>
+## <param name="domain">
+## <summary>
+## Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`motion_manage_all_files',`
+
+    motion_manage_log($1)
+    motion_manage_pid($1)
+    motion_manage_data($1)
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an motion environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`motion_admin',`
+	gen_require(`
+		type motion_t;
+		type motion_log_t;
+	    type motion_unit_file_t;
+	')
+
+	allow $1 motion_t:process { signal_perms };
+	ps_process_pattern($1, motion_t)
+
+    tunable_policy(`deny_ptrace',`',`
+        allow $1 motion_t:process ptrace;
+    ')
+
+	logging_search_logs($1)
+	admin_pattern($1, motion_log_t)
+
+	motion_systemctl($1)
+	admin_pattern($1, motion_unit_file_t)
+	allow $1 motion_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/motion.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/motion.te
@@ -0,0 +1,65 @@
+policy_module(motion, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type motion_t;
+type motion_exec_t;
+init_daemon_domain(motion_t, motion_exec_t)
+
+type motion_log_t;
+logging_log_file(motion_log_t)
+
+type motion_unit_file_t;
+systemd_unit_file(motion_unit_file_t)
+
+type motion_var_run_t;
+files_pid_file(motion_var_run_t)
+
+type motion_data_t;
+files_type(motion_data_t)
+
+########################################
+#
+# motion local policy
+#
+allow motion_t self:udp_socket { create connect getattr };
+allow motion_t self:tcp_socket create_stream_socket_perms;
+allow motion_t self:netlink_route_socket r_netlink_socket_perms;
+
+manage_dirs_pattern(motion_t, motion_log_t, motion_log_t)
+manage_files_pattern(motion_t, motion_log_t, motion_log_t)
+logging_log_filetrans(motion_t, motion_log_t, { dir file })
+
+manage_dirs_pattern(motion_t, motion_var_run_t, motion_var_run_t)
+manage_files_pattern(motion_t, motion_var_run_t, motion_var_run_t)
+files_pid_filetrans(motion_t, motion_var_run_t, { dir file })
+
+manage_dirs_pattern(motion_t, motion_data_t, motion_data_t)
+manage_files_pattern(motion_t, motion_data_t, motion_data_t)
+files_var_filetrans(motion_t, motion_data_t, { dir file })
+
+corenet_tcp_bind_http_cache_port(motion_t)
+corenet_tcp_bind_transproxy_port(motion_t)
+corenet_tcp_bind_us_cli_port(motion_t)
+corenet_tcp_connect_http_port(motion_t)
+corenet_tcp_bind_generic_node(motion_t)
+
+dev_read_video_dev(motion_t)
+dev_write_video_dev(motion_t)
+
+domain_use_interactive_fds(motion_t)
+
+logging_send_syslog_msg(motion_t)
+
+sysnet_read_config(motion_t)
+
+userdom_home_manager(motion_t)
+
+optional_policy(`
+    zoneminder_domtrans(motion_t)
+    zoneminder_manage_lib_files(motion_t)
+')
+
